View Issue Details

IDProjectCategoryView StatusLast Update
0003551PathBugpublic2019-01-24 13:09
Reporterbarry Assigned Tomlampert  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAppImage x86_64OSLinux 
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003551: "Tag Dress-up" replaces vertical feed rates with horizontal feed rate.
DescriptionI attempted to make the prerequisite forum post. It is titled "Bug in Path->Tag Dress-up" but seems to be stuck in review, so I have no link to give you.

Application of "Tag Dress-up" to a Profile_Edges operation replaces the vertical feed rate with the horizontal feed rate value.

The bug is present in these tested versions:
FreeCAD-13522.glibc2.17-x86_64.AppImage
FreeCAD-13528.glibc2.17-x86_64.AppImage
FreeCAD_0.18.14183.glibc2.17-x86_64.AppImage
Steps To Reproduce- Open the attached test_circle_1.5in.fcstd.
- Path->Inspect G-code
Note the vertical feed rate "F8.333333"

- Apply "Tag Dress-up" to the Profile_Edges operation.
- Path->Inspect G-code
Note the vertical feed rate has been changed from "F8.333333" to "F26.666667"

I have attached files with both "internal" g-code and g-code produced after grbl post-processing.
Additional InformationOS: Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.14183 (Git) AppImage
Build type: None
Branch: master
Hash: 8ef330d19ab4aa0cfd6b9a6d41d51eed30620707
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
TagsPath
FreeCAD Information

Activities

barry

2018-08-02 05:30

reporter  

internal_gcode_without_tags.gcode (9,439 bytes)   
(Profile_Edges)
(Compensated Tool Path. Diameter: 3.17)
G0 Z25.050000
G0 X37.349044 Y37.349044
G0 Z23.050000
G1 F8.333333 X37.349044 Y37.349044 Z19.250000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z19.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z19.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z19.250000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z19.250000
G1 F8.333333 X37.349044 Y37.349044 Z18.450000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z18.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z18.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z18.450000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z18.450000
G1 F8.333333 X37.349044 Y37.349044 Z17.650000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z17.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z17.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z17.650000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z17.650000
G1 F8.333333 X37.349044 Y37.349044 Z16.850000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z16.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z16.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z16.850000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z16.850000
G1 F8.333333 X37.349044 Y37.349044 Z16.050000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z16.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z16.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z16.050000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z16.050000
G1 F8.333333 X37.349044 Y37.349044 Z15.250000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z15.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z15.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z15.250000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z15.250000
G1 F8.333333 X37.349044 Y37.349044 Z14.450000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z14.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z14.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z14.450000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z14.450000
G1 F8.333333 X37.349044 Y37.349044 Z13.650000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z13.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z13.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z13.650000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z13.650000
G1 F8.333333 X37.349044 Y37.349044 Z12.850000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z12.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z12.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z12.850000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z12.850000
G1 F8.333333 X37.349044 Y37.349044 Z12.050000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z12.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z12.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z12.050000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z12.050000
G1 F8.333333 X37.349044 Y37.349044 Z11.250000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z11.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z11.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z11.250000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z11.250000
G1 F8.333333 X37.349044 Y37.349044 Z10.450000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z10.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z10.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z10.450000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z10.450000
G1 F8.333333 X37.349044 Y37.349044 Z9.650000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z9.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z9.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z9.650000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z9.650000
G1 F8.333333 X37.349044 Y37.349044 Z8.850000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z8.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z8.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z8.850000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z8.850000
G1 F8.333333 X37.349044 Y37.349044 Z8.050000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z8.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z8.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z8.050000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z8.050000
G1 F8.333333 X37.349044 Y37.349044 Z7.250000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z7.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z7.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z7.250000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z7.250000
G1 F8.333333 X37.349044 Y37.349044 Z6.450000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z6.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z6.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z6.450000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z6.450000
G1 F8.333333 X37.349044 Y37.349044 Z5.650000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z5.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z5.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z5.650000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z5.650000
G1 F8.333333 X37.349044 Y37.349044 Z4.850000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z4.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z4.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z4.850000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z4.850000
G1 F8.333333 X37.349044 Y37.349044 Z4.050000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z4.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z4.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z4.050000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z4.050000
G1 F8.333333 X37.349044 Y37.349044 Z3.250000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z3.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z3.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z3.250000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z3.250000
G1 F8.333333 X37.349044 Y37.349044 Z2.450000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z2.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z2.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z2.450000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z2.450000
G1 F8.333333 X37.349044 Y37.349044 Z1.650000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z1.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z1.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z1.650000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z1.650000
G1 F8.333333 X37.349044 Y37.349044 Z0.850000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z0.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z0.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z0.850000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z0.850000
G1 F8.333333 X37.349044 Y37.349044 Z0.050000
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z0.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z0.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z0.050000
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z0.050000
G1 F8.333333 X37.349044 Y37.349044 Z0.000001
G2 F26.666667 I-12.349044 J-12.349044 K0.000000 X27.787282 Y7.759675 Z0.000001
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z0.000001
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z0.000001
G2 F26.666667 I2.787282 J-17.240325 K0.000000 X37.349044 Y37.349044 Z0.000001
G0 Z25.050000
internal_gcode_with_tags.gcode (14,483 bytes)   
G0 F0.000000 Z25.050000
G0 F0.000000 X37.349044 Y37.349044 Z25.050000
G0 F0.000000 X37.349044 Y37.349044 Z23.050000
G1 F26.666667 X37.349044 Y37.349044 Z19.250000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z19.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z19.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z19.250000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z19.250000
G1 F26.666667 X37.349044 Y37.349044 Z18.450000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z18.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z18.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z18.450000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z18.450000
G1 F26.666667 X37.349044 Y37.349044 Z17.650000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z17.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z17.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z17.650000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z17.650000
G1 F26.666667 X37.349044 Y37.349044 Z16.850000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z16.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z16.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z16.850000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z16.850000
G1 F26.666667 X37.349044 Y37.349044 Z16.050000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z16.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z16.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z16.050000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z16.050000
G1 F26.666667 X37.349044 Y37.349044 Z15.250000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z15.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z15.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z15.250000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z15.250000
G1 F26.666667 X37.349044 Y37.349044 Z14.450000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z14.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z14.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z14.450000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z14.450000
G1 F26.666667 X37.349044 Y37.349044 Z13.650000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z13.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z13.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z13.650000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z13.650000
G1 F26.666667 X37.349044 Y37.349044 Z12.850000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z12.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z12.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z12.850000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z12.850000
G1 F26.666667 X37.349044 Y37.349044 Z12.050000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z12.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z12.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z12.050000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z12.050000
G1 F26.666667 X37.349044 Y37.349044 Z11.250000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z11.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z11.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z11.250000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z11.250000
G1 F26.666667 X37.349044 Y37.349044 Z10.450000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z10.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z10.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z10.450000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z10.450000
G1 F26.666667 X37.349044 Y37.349044 Z9.650000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z9.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z9.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z9.650000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z9.650000
G1 F26.666667 X37.349044 Y37.349044 Z8.850000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z8.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z8.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z8.850000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z8.850000
G1 F26.666667 X37.349044 Y37.349044 Z8.050000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z8.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z8.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z8.050000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z8.050000
G1 F26.666667 X37.349044 Y37.349044 Z7.250000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z7.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z7.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z7.250000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z7.250000
G1 F26.666667 X37.349044 Y37.349044 Z6.450000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z6.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z6.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z6.450000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z6.450000
G1 F26.666667 X37.349044 Y37.349044 Z5.650000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z5.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z5.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z5.650000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z5.650000
G1 F26.666667 X37.349044 Y37.349044 Z4.850000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z4.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z4.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z4.850000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z4.850000
G1 F26.666667 X37.349044 Y37.349044 Z4.050000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z4.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z4.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z4.050000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z4.050000
G1 F26.666667 X37.349044 Y37.349044 Z3.250000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X27.787282 Y7.759675 Z3.250000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X7.759675 Y22.212718 Z3.250000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X22.212718 Y42.240325 Z3.250000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z3.250000
G1 F26.666667 X37.349044 Y37.349044 Z2.450000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X41.826503 Y29.676170 Z2.450000
G1 F26.666667 X41.965409 Y29.143991 Z3.000001
G2 F26.666667 I-16.965409 J-4.143991 K0.000000 X41.991174 Y29.037051 Z3.000001
G1 F26.666667 X42.109873 Y28.500004 Z2.450000
G2 F26.666667 I-17.109872 J-3.500004 K0.000000 X36.826183 Y12.149352 Z2.450000
G1 F26.666667 X36.415657 Y11.783323 Z3.000001
G2 F26.666667 I-11.415656 J13.216677 K0.000000 X36.332184 Y11.711683 Z3.000001
G1 F26.666667 X35.908120 Y11.361427 Z2.450000
G2 F26.666667 I-10.908120 J13.638573 K0.000000 X27.787282 Y7.759675 Z2.450000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X15.276808 Y10.492854 Z2.450000
G1 F26.666667 X14.824805 Y10.806228 Z3.000001
G2 F26.666667 I10.175195 J14.193772 K0.000000 X14.735607 Y10.870599 Z3.000001
G1 F26.666667 X14.295768 Y11.200828 Z2.450000
G2 F26.666667 I10.704232 J13.799172 K0.000000 X7.759675 Y22.212718 Z2.450000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X10.492854 Y34.723192 Z2.450000
G1 F26.666667 X10.806228 Y35.175195 Z3.000001
G2 F26.666667 I14.193772 J-10.175195 K0.000000 X10.870599 Y35.264393 Z3.000001
G1 F26.666667 X11.200828 Y35.704232 Z2.450000
G2 F26.666667 I13.799172 J-10.704232 K0.000000 X22.212718 Y42.240325 Z2.450000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z2.450000
G1 F26.666667 X37.349044 Y37.349044 Z1.650000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X41.594612 Y30.442116 Z1.650000
G1 F26.666667 X41.965409 Y29.143991 Z3.000001
G2 F26.666667 I-16.965409 J-4.143991 K0.000000 X41.991174 Y29.037051 Z3.000001
G1 F26.666667 X42.252251 Y27.712492 Z1.650000
G2 F26.666667 I-17.252250 J-2.712492 K0.000000 X37.402480 Y12.704625 Z1.650000
G1 F26.666667 X36.415657 Y11.783323 Z3.000001
G2 F26.666667 I-11.415656 J13.216677 K0.000000 X36.332184 Y11.711683 Z3.000001
G1 F26.666667 X35.271858 Y10.876024 Z1.650000
G2 F26.666667 I-10.271857 J14.123976 K0.000000 X27.787282 Y7.759675 Z1.650000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X15.951617 Y10.062647 Z1.650000
G1 F26.666667 X14.824805 Y10.806228 Z3.000001
G2 F26.666667 I10.175195 J14.193772 K0.000000 X14.735607 Y10.870599 Z3.000001
G1 F26.666667 X13.674839 Y11.705698 Z1.650000
G2 F26.666667 I11.325161 J13.294302 K0.000000 X7.759675 Y22.212718 Z1.650000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X10.062647 Y34.048383 Z1.650000
G1 F26.666667 X10.806228 Y35.175195 Z3.000001
G2 F26.666667 I14.193772 J-10.175195 K0.000000 X10.870599 Y35.264393 Z3.000001
G1 F26.666667 X11.705698 Y36.325161 Z1.650000
G2 F26.666667 I13.294302 J-11.325161 K0.000000 X22.212718 Y42.240325 Z1.650000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z1.650000
G1 F26.666667 X37.349044 Y37.349044 Z0.850000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X41.327613 Y31.197325 Z0.850000
G1 F26.666667 X41.965409 Y29.143991 Z3.000001
G2 F26.666667 I-16.965409 J-4.143991 K0.000000 X41.991174 Y29.037051 Z3.000001
G1 F26.666667 X42.358483 Y26.918550 Z0.850000
G2 F26.666667 I-17.358483 J-1.918550 K0.000000 X37.953230 Y13.286265 Z0.850000
G1 F26.666667 X36.415657 Y11.783323 Z3.000001
G2 F26.666667 I-11.415656 J13.216677 K0.000000 X36.332184 Y11.711683 Z3.000001
G1 F26.666667 X34.613409 Y10.419872 Z0.850000
G2 F26.666667 I-9.613408 J14.580128 K0.000000 X27.787282 Y7.759675 Z0.850000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X16.646076 Y9.663452 Z0.850000
G1 F26.666667 X14.824805 Y10.806228 Z3.000001
G2 F26.666667 I10.175195 J14.193772 K0.000000 X14.735607 Y10.870599 Z3.000001
G1 F26.666667 X13.077151 Y12.238988 Z0.850000
G2 F26.666667 I11.922849 J12.761012 K0.000000 X7.759675 Y22.212718 Z0.850000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X9.663452 Y33.353924 Z0.850000
G1 F26.666667 X10.806228 Y35.175195 Z3.000001
G2 F26.666667 I14.193772 J-10.175195 K0.000000 X10.870599 Y35.264393 Z3.000001
G1 F26.666667 X12.238988 Y36.922849 Z0.850000
G2 F26.666667 I12.761012 J-11.922849 K0.000000 X22.212718 Y42.240325 Z0.850000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z0.850000
G1 F26.666667 X37.349044 Y37.349044 Z0.050000
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X41.025802 Y31.940565 Z0.050000
G1 F26.666667 X41.965409 Y29.143991 Z3.000001
G2 F26.666667 I-16.965409 J-4.143991 K0.000000 X41.991174 Y29.037051 Z3.000001
G1 F26.666667 X42.428273 Y26.119410 Z0.050000
G2 F26.666667 I-17.428272 J-1.119410 K0.000000 X38.477470 Y13.893445 Z0.050000
G1 F26.666667 X36.415657 Y11.783323 Z3.000001
G2 F26.666667 I-11.415656 J13.216677 K0.000000 X36.332184 Y11.711683 Z3.000001
G1 F26.666667 X33.933736 Y9.993797 Z0.050000
G2 F26.666667 I-8.933735 J15.006203 K0.000000 X27.787282 Y7.759675 Z0.050000
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X17.359156 Y9.296012 Z0.050000
G1 F26.666667 X14.824805 Y10.806228 Z3.000001
G2 F26.666667 I10.175195 J14.193772 K0.000000 X14.735607 Y10.870599 Z3.000001
G1 F26.666667 X12.503732 Y12.799957 Z0.050000
G2 F26.666667 I12.496268 J12.200043 K0.000000 X7.759675 Y22.212718 Z0.050000
G2 F26.666667 I17.240325 J2.787282 K0.000000 X9.296012 Y32.640844 Z0.050000
G1 F26.666667 X10.806228 Y35.175195 Z3.000001
G2 F26.666667 I14.193772 J-10.175195 K0.000000 X10.870599 Y35.264393 Z3.000001
G1 F26.666667 X12.799957 Y37.496268 Z0.050000
G2 F26.666667 I12.200043 J-12.496268 K0.000000 X22.212718 Y42.240325 Z0.050000
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z0.050000
G1 F26.666667 X37.349044 Y37.349044 Z0.000001
G2 F26.666667 I-12.349043 J-12.349044 K0.000000 X41.005790 Y31.986591 Z0.000001
G1 F26.666667 X41.965409 Y29.143991 Z3.000001
G2 F26.666667 I-16.965409 J-4.143991 K0.000000 X41.991174 Y29.037051 Z3.000001
G1 F26.666667 X42.431418 Y26.069320 Z0.000001
G2 F26.666667 I-17.431417 J-1.069320 K0.000000 X38.509332 Y13.932222 Z0.000001
G1 F26.666667 X36.415657 Y11.783323 Z3.000001
G2 F26.666667 I-11.415656 J13.216677 K0.000000 X36.332184 Y11.711683 Z3.000001
G1 F26.666667 X33.890574 Y9.968186 Z0.000001
G2 F26.666667 I-8.890574 J15.031815 K0.000000 X27.787282 Y7.759675 Z0.000001
G2 F26.666667 I-2.787282 J17.240325 K0.000000 X17.404317 Y9.274118 Z0.000001
G1 F26.666667 X14.824805 Y10.806228 Z3.000001
G2 F26.666667 I10.175195 J14.193772 K0.000000 X14.735607 Y10.870599 Z3.000001
G1 F26.666667 X12.468724 Y12.835919 Z0.000001
G2 F26.666667 I12.531276 J12.164081 K0.000000 X7.759675 Y22.212718 Z0.000001
G2 F26.666667 I17.240325 J2.787282 K0.000000 X9.274118 Y32.595683 Z0.000001
G1 F26.666667 X10.806228 Y35.175195 Z3.000001
G2 F26.666667 I14.193772 J-10.175195 K0.000000 X10.870599 Y35.264393 Z3.000001
G1 F26.666667 X12.835919 Y37.531276 Z0.000001
G2 F26.666667 I12.164081 J-12.531276 K0.000000 X22.212718 Y42.240325 Z0.000001
G2 F26.666667 I2.787282 J-17.240329 K0.000000 X37.349044 Y37.349044 Z0.000001
G0 F0.000000 X37.349044 Y37.349044 Z25.050000
internal_gcode_with_tags.gcode (14,483 bytes)   
test_circle_1.5in.fcstd (20,648 bytes)
grbl_gcode_with_tags.gcode (11,130 bytes)   
(Exported by FreeCAD)
(Post Processor: grbl_post)
(Output Time:2018-08-01 21:33:31.614156)
(begin preamble)
G17 G90
G21
(begin operation: T4: 1/8" two-flute)
(Path: T4: 1/8" two-flute)
(T4: 1/8" two-flute)
(begin toolchange)
; M6 T4.0
M3 S12000.0000
(finish operation: T4: 1/8" two-flute)
(begin operation: TagDressup)
(Path: TagDressup)
G0 Z25.0500
G0 X37.3490 Y37.3490 Z25.0500
G0 X37.3490 Y37.3490 Z23.0500
G1 X37.3490 Y37.3490 Z19.2500 F1600.00
G2 X27.7873 Y7.7597 Z19.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z19.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z19.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z19.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z18.4500 F1600.00
G2 X27.7873 Y7.7597 Z18.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z18.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z18.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z18.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z17.6500 F1600.00
G2 X27.7873 Y7.7597 Z17.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z17.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z17.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z17.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z16.8500 F1600.00
G2 X27.7873 Y7.7597 Z16.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z16.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z16.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z16.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z16.0500 F1600.00
G2 X27.7873 Y7.7597 Z16.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z16.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z16.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z16.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z15.2500 F1600.00
G2 X27.7873 Y7.7597 Z15.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z15.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z15.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z15.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z14.4500 F1600.00
G2 X27.7873 Y7.7597 Z14.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z14.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z14.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z14.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z13.6500 F1600.00
G2 X27.7873 Y7.7597 Z13.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z13.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z13.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z13.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z12.8500 F1600.00
G2 X27.7873 Y7.7597 Z12.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z12.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z12.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z12.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z12.0500 F1600.00
G2 X27.7873 Y7.7597 Z12.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z12.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z12.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z12.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z11.2500 F1600.00
G2 X27.7873 Y7.7597 Z11.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z11.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z11.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z11.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z10.4500 F1600.00
G2 X27.7873 Y7.7597 Z10.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z10.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z10.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z10.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z9.6500 F1600.00
G2 X27.7873 Y7.7597 Z9.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z9.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z9.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z9.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z8.8500 F1600.00
G2 X27.7873 Y7.7597 Z8.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z8.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z8.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z8.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z8.0500 F1600.00
G2 X27.7873 Y7.7597 Z8.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z8.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z8.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z8.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z7.2500 F1600.00
G2 X27.7873 Y7.7597 Z7.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z7.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z7.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z7.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z6.4500 F1600.00
G2 X27.7873 Y7.7597 Z6.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z6.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z6.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z6.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z5.6500 F1600.00
G2 X27.7873 Y7.7597 Z5.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z5.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z5.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z5.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z4.8500 F1600.00
G2 X27.7873 Y7.7597 Z4.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z4.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z4.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z4.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z4.0500 F1600.00
G2 X27.7873 Y7.7597 Z4.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z4.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z4.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z4.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z3.2500 F1600.00
G2 X27.7873 Y7.7597 Z3.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z3.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z3.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z3.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z2.4500 F1600.00
G2 X41.8265 Y29.6762 Z2.4500 I-12.3490 J-12.3490 F1600.00
G1 X41.9654 Y29.1440 Z3.0000 F1600.00
G2 X41.9912 Y29.0371 Z3.0000 I-16.9654 J-4.1440 F1600.00
G1 X42.1099 Y28.5000 Z2.4500 F1600.00
G2 X36.8262 Y12.1494 Z2.4500 I-17.1099 J-3.5000 F1600.00
G1 X36.4157 Y11.7833 Z3.0000 F1600.00
G2 X36.3322 Y11.7117 Z3.0000 I-11.4157 J13.2167 F1600.00
G1 X35.9081 Y11.3614 Z2.4500 F1600.00
G2 X27.7873 Y7.7597 Z2.4500 I-10.9081 J13.6386 F1600.00
G2 X15.2768 Y10.4929 Z2.4500 I-2.7873 J17.2403 F1600.00
G1 X14.8248 Y10.8062 Z3.0000 F1600.00
G2 X14.7356 Y10.8706 Z3.0000 I10.1752 J14.1938 F1600.00
G1 X14.2958 Y11.2008 Z2.4500 F1600.00
G2 X7.7597 Y22.2127 Z2.4500 I10.7042 J13.7992 F1600.00
G2 X10.4929 Y34.7232 Z2.4500 I17.2403 J2.7873 F1600.00
G1 X10.8062 Y35.1752 Z3.0000 F1600.00
G2 X10.8706 Y35.2644 Z3.0000 I14.1938 J-10.1752 F1600.00
G1 X11.2008 Y35.7042 Z2.4500 F1600.00
G2 X22.2127 Y42.2403 Z2.4500 I13.7992 J-10.7042 F1600.00
G2 X37.3490 Y37.3490 Z2.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z1.6500 F1600.00
G2 X41.5946 Y30.4421 Z1.6500 I-12.3490 J-12.3490 F1600.00
G1 X41.9654 Y29.1440 Z3.0000 F1600.00
G2 X41.9912 Y29.0371 Z3.0000 I-16.9654 J-4.1440 F1600.00
G1 X42.2523 Y27.7125 Z1.6500 F1600.00
G2 X37.4025 Y12.7046 Z1.6500 I-17.2523 J-2.7125 F1600.00
G1 X36.4157 Y11.7833 Z3.0000 F1600.00
G2 X36.3322 Y11.7117 Z3.0000 I-11.4157 J13.2167 F1600.00
G1 X35.2719 Y10.8760 Z1.6500 F1600.00
G2 X27.7873 Y7.7597 Z1.6500 I-10.2719 J14.1240 F1600.00
G2 X15.9516 Y10.0626 Z1.6500 I-2.7873 J17.2403 F1600.00
G1 X14.8248 Y10.8062 Z3.0000 F1600.00
G2 X14.7356 Y10.8706 Z3.0000 I10.1752 J14.1938 F1600.00
G1 X13.6748 Y11.7057 Z1.6500 F1600.00
G2 X7.7597 Y22.2127 Z1.6500 I11.3252 J13.2943 F1600.00
G2 X10.0626 Y34.0484 Z1.6500 I17.2403 J2.7873 F1600.00
G1 X10.8062 Y35.1752 Z3.0000 F1600.00
G2 X10.8706 Y35.2644 Z3.0000 I14.1938 J-10.1752 F1600.00
G1 X11.7057 Y36.3252 Z1.6500 F1600.00
G2 X22.2127 Y42.2403 Z1.6500 I13.2943 J-11.3252 F1600.00
G2 X37.3490 Y37.3490 Z1.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z0.8500 F1600.00
G2 X41.3276 Y31.1973 Z0.8500 I-12.3490 J-12.3490 F1600.00
G1 X41.9654 Y29.1440 Z3.0000 F1600.00
G2 X41.9912 Y29.0371 Z3.0000 I-16.9654 J-4.1440 F1600.00
G1 X42.3585 Y26.9185 Z0.8500 F1600.00
G2 X37.9532 Y13.2863 Z0.8500 I-17.3585 J-1.9185 F1600.00
G1 X36.4157 Y11.7833 Z3.0000 F1600.00
G2 X36.3322 Y11.7117 Z3.0000 I-11.4157 J13.2167 F1600.00
G1 X34.6134 Y10.4199 Z0.8500 F1600.00
G2 X27.7873 Y7.7597 Z0.8500 I-9.6134 J14.5801 F1600.00
G2 X16.6461 Y9.6635 Z0.8500 I-2.7873 J17.2403 F1600.00
G1 X14.8248 Y10.8062 Z3.0000 F1600.00
G2 X14.7356 Y10.8706 Z3.0000 I10.1752 J14.1938 F1600.00
G1 X13.0772 Y12.2390 Z0.8500 F1600.00
G2 X7.7597 Y22.2127 Z0.8500 I11.9228 J12.7610 F1600.00
G2 X9.6635 Y33.3539 Z0.8500 I17.2403 J2.7873 F1600.00
G1 X10.8062 Y35.1752 Z3.0000 F1600.00
G2 X10.8706 Y35.2644 Z3.0000 I14.1938 J-10.1752 F1600.00
G1 X12.2390 Y36.9228 Z0.8500 F1600.00
G2 X22.2127 Y42.2403 Z0.8500 I12.7610 J-11.9228 F1600.00
G2 X37.3490 Y37.3490 Z0.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z0.0500 F1600.00
G2 X41.0258 Y31.9406 Z0.0500 I-12.3490 J-12.3490 F1600.00
G1 X41.9654 Y29.1440 Z3.0000 F1600.00
G2 X41.9912 Y29.0371 Z3.0000 I-16.9654 J-4.1440 F1600.00
G1 X42.4283 Y26.1194 Z0.0500 F1600.00
G2 X38.4775 Y13.8934 Z0.0500 I-17.4283 J-1.1194 F1600.00
G1 X36.4157 Y11.7833 Z3.0000 F1600.00
G2 X36.3322 Y11.7117 Z3.0000 I-11.4157 J13.2167 F1600.00
G1 X33.9337 Y9.9938 Z0.0500 F1600.00
G2 X27.7873 Y7.7597 Z0.0500 I-8.9337 J15.0062 F1600.00
G2 X17.3592 Y9.2960 Z0.0500 I-2.7873 J17.2403 F1600.00
G1 X14.8248 Y10.8062 Z3.0000 F1600.00
G2 X14.7356 Y10.8706 Z3.0000 I10.1752 J14.1938 F1600.00
G1 X12.5037 Y12.8000 Z0.0500 F1600.00
G2 X7.7597 Y22.2127 Z0.0500 I12.4963 J12.2000 F1600.00
G2 X9.2960 Y32.6408 Z0.0500 I17.2403 J2.7873 F1600.00
G1 X10.8062 Y35.1752 Z3.0000 F1600.00
G2 X10.8706 Y35.2644 Z3.0000 I14.1938 J-10.1752 F1600.00
G1 X12.8000 Y37.4963 Z0.0500 F1600.00
G2 X22.2127 Y42.2403 Z0.0500 I12.2000 J-12.4963 F1600.00
G2 X37.3490 Y37.3490 Z0.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z0.0000 F1600.00
G2 X41.0058 Y31.9866 Z0.0000 I-12.3490 J-12.3490 F1600.00
G1 X41.9654 Y29.1440 Z3.0000 F1600.00
G2 X41.9912 Y29.0371 Z3.0000 I-16.9654 J-4.1440 F1600.00
G1 X42.4314 Y26.0693 Z0.0000 F1600.00
G2 X38.5093 Y13.9322 Z0.0000 I-17.4314 J-1.0693 F1600.00
G1 X36.4157 Y11.7833 Z3.0000 F1600.00
G2 X36.3322 Y11.7117 Z3.0000 I-11.4157 J13.2167 F1600.00
G1 X33.8906 Y9.9682 Z0.0000 F1600.00
G2 X27.7873 Y7.7597 Z0.0000 I-8.8906 J15.0318 F1600.00
G2 X17.4043 Y9.2741 Z0.0000 I-2.7873 J17.2403 F1600.00
G1 X14.8248 Y10.8062 Z3.0000 F1600.00
G2 X14.7356 Y10.8706 Z3.0000 I10.1752 J14.1938 F1600.00
G1 X12.4687 Y12.8359 Z0.0000 F1600.00
G2 X7.7597 Y22.2127 Z0.0000 I12.5313 J12.1641 F1600.00
G2 X9.2741 Y32.5957 Z0.0000 I17.2403 J2.7873 F1600.00
G1 X10.8062 Y35.1752 Z3.0000 F1600.00
G2 X10.8706 Y35.2644 Z3.0000 I14.1938 J-10.1752 F1600.00
G1 X12.8359 Y37.5313 Z0.0000 F1600.00
G2 X22.2127 Y42.2403 Z0.0000 I12.1641 J-12.5313 F1600.00
G2 X37.3490 Y37.3490 Z0.0000 I2.7873 J-17.2403 F1600.00
G0 X37.3490 Y37.3490 Z25.0500
(finish operation: TagDressup)
(begin postamble)
M5
G17 G90
; M2
grbl_gcode_with_tags.gcode (11,130 bytes)   
grbl_gcode_without_tags.gcode (7,345 bytes)   
(Exported by FreeCAD)
(Post Processor: grbl_post)
(Output Time:2018-08-01 21:32:55.094785)
(begin preamble)
G17 G90
G21
(begin operation: T4: 1/8" two-flute)
(Path: T4: 1/8" two-flute)
(T4: 1/8" two-flute)
(begin toolchange)
; M6 T4.0
M3 S12000.0000
(finish operation: T4: 1/8" two-flute)
(begin operation: Profile_Edges)
(Path: Profile_Edges)
(Profile_Edges)
(Compensated Tool Path. Diameter: 3.17)
G0 Z25.0500
G0 X37.3490 Y37.3490
G0 Z23.0500
G1 X37.3490 Y37.3490 Z19.2500 F500.00
G2 X27.7873 Y7.7597 Z19.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z19.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z19.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z19.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z18.4500 F500.00
G2 X27.7873 Y7.7597 Z18.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z18.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z18.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z18.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z17.6500 F500.00
G2 X27.7873 Y7.7597 Z17.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z17.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z17.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z17.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z16.8500 F500.00
G2 X27.7873 Y7.7597 Z16.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z16.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z16.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z16.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z16.0500 F500.00
G2 X27.7873 Y7.7597 Z16.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z16.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z16.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z16.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z15.2500 F500.00
G2 X27.7873 Y7.7597 Z15.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z15.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z15.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z15.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z14.4500 F500.00
G2 X27.7873 Y7.7597 Z14.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z14.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z14.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z14.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z13.6500 F500.00
G2 X27.7873 Y7.7597 Z13.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z13.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z13.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z13.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z12.8500 F500.00
G2 X27.7873 Y7.7597 Z12.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z12.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z12.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z12.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z12.0500 F500.00
G2 X27.7873 Y7.7597 Z12.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z12.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z12.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z12.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z11.2500 F500.00
G2 X27.7873 Y7.7597 Z11.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z11.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z11.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z11.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z10.4500 F500.00
G2 X27.7873 Y7.7597 Z10.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z10.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z10.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z10.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z9.6500 F500.00
G2 X27.7873 Y7.7597 Z9.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z9.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z9.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z9.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z8.8500 F500.00
G2 X27.7873 Y7.7597 Z8.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z8.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z8.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z8.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z8.0500 F500.00
G2 X27.7873 Y7.7597 Z8.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z8.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z8.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z8.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z7.2500 F500.00
G2 X27.7873 Y7.7597 Z7.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z7.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z7.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z7.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z6.4500 F500.00
G2 X27.7873 Y7.7597 Z6.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z6.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z6.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z6.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z5.6500 F500.00
G2 X27.7873 Y7.7597 Z5.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z5.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z5.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z5.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z4.8500 F500.00
G2 X27.7873 Y7.7597 Z4.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z4.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z4.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z4.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z4.0500 F500.00
G2 X27.7873 Y7.7597 Z4.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z4.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z4.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z4.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z3.2500 F500.00
G2 X27.7873 Y7.7597 Z3.2500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z3.2500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z3.2500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z3.2500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z2.4500 F500.00
G2 X27.7873 Y7.7597 Z2.4500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z2.4500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z2.4500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z2.4500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z1.6500 F500.00
G2 X27.7873 Y7.7597 Z1.6500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z1.6500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z1.6500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z1.6500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z0.8500 F500.00
G2 X27.7873 Y7.7597 Z0.8500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z0.8500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z0.8500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z0.8500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z0.0500 F500.00
G2 X27.7873 Y7.7597 Z0.0500 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z0.0500 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z0.0500 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z0.0500 I2.7873 J-17.2403 F1600.00
G1 X37.3490 Y37.3490 Z0.0000 F500.00
G2 X27.7873 Y7.7597 Z0.0000 I-12.3490 J-12.3490 F1600.00
G2 X7.7597 Y22.2127 Z0.0000 I-2.7873 J17.2403 F1600.00
G2 X22.2127 Y42.2403 Z0.0000 I17.2403 J2.7873 F1600.00
G2 X37.3490 Y37.3490 Z0.0000 I2.7873 J-17.2403 F1600.00
G0 Z25.0500
(finish operation: Profile_Edges)
(begin postamble)
M5
G17 G90
; M2
grbl_gcode_without_tags.gcode (7,345 bytes)   

Kunda1

2018-08-02 18:56

administrator   ~0011582

Thank you for the ticket. Though mind you that we ask people to please please post to the forum first before opening a ticket in order to confirm issue and prevent tracker bloat.

CC @sliptonic

Kunda1

2018-08-23 17:05

administrator   ~0011643

Created discussion thread: https://forum.freecadweb.org/viewtopic.php?f=15&t=30473

mlampert

2019-01-24 06:17

developer   ~0012503

https://github.com/FreeCAD/FreeCAD/pull/1926

Issue History

Date Modified Username Field Change
2018-08-02 05:30 barry New Issue
2018-08-02 05:30 barry Tag Attached: Path
2018-08-02 05:30 barry File Added: internal_gcode_without_tags.gcode
2018-08-02 05:30 barry File Added: internal_gcode_with_tags.gcode
2018-08-02 05:30 barry File Added: test_circle_1.5in.fcstd
2018-08-02 05:30 barry File Added: grbl_gcode_with_tags.gcode
2018-08-02 05:30 barry File Added: grbl_gcode_without_tags.gcode
2018-08-02 18:56 Kunda1 Note Added: 0011582
2018-08-23 17:05 Kunda1 Note Added: 0011643
2019-01-22 04:43 sliptonic Assigned To => mlampert
2019-01-22 04:43 sliptonic Status new => assigned
2019-01-22 05:36 sliptonic Target Version => 0.18
2019-01-24 06:17 mlampert Note Added: 0012503
2019-01-24 13:09 wmayer Status assigned => closed
2019-01-24 13:09 wmayer Resolution open => fixed
2019-01-24 13:09 wmayer Fixed in Version => 0.18